[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [eclipse-dev] Eclipse on Unix (i.e. HP-UX, Solaris, AIX)

On 12/07/16 10:13 AM, Mike Wilson wrote:
Given the above issues, plus the small number of active SWT committers,
and the comparatively very limited consumption of the Unix versions of
Eclipse, /we believe that starting with the Eclipse Oxygen release, it
is time to drop support for Eclipse on Unix/ in particular, and move to
a model where SWT/GTK supports only a limited range of recent GTK versions.

I absolutely support this approach. Even in GTK3, the difference between GTK3.8 and GTK3.20 is night and day. This is definitely a step in the right direction.


Eric

With that said, the community ultimately gets to decide: If there is
enough interest in continuing to support Eclipse on Unix, people
interested in those platforms will have to work with the respective
vendors to ensure that binaries get built and tested, and that a
compatible GTK is available (perhaps by getting the operating system
libraries updated to the required level, or alternatively by creating
(and maintaining) a separate SWT port that is compatible only with the
old GTK versions). Ideally, the Unix vendors should engage with the
community and provide binaries, build machines and testing if they are
interested in keeping Eclipse working on their operating system.

The Eclipse Project PMC



_______________________________________________
eclipse-dev mailing list
eclipse-dev@xxxxxxxxxxx
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/eclipse-dev